# Logs
logs
*.log
npm-debug.log*
yarn-debug.log*
yarn-error.log*
pnpm-debug.log*
lerna-debug.log*

# Dependency directories
.pnpm-store

# Build output
/dist
/dist-ssr
storybook-static
coverage

# Cache & temp directories
.cache
.tmp
.temp
.vite
.vite-inspect
.eslintcache
.stylelintcache

# OS metadata
.DS_Store
Thumbs.db

# Local env files
.env
.env.*.local
.env.local
*.local

# Cypress artifacts
/cypress/videos/
/cypress/screenshots/
/cypress/downloads/

# TypeScript
*.tsbuildinfo

# Editor directories and files
.vscode/*
!.vscode/extensions.json
.idea
*.suo
*.ntvs*
*.njsproj
*.sln
*.iml
*.sw?
